from enum import Enum
from plum import dispatch
from typing import TypeVar,Union,Generic,List,Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class HtmlConverter (SpireObject) :
    """

    """
    @property
    def Password(self)->str:
        return ""

    @Password.setter
    def Password(self, value:str):
        GetDllLibPdf().HtmlConverter_set_Password.argtypes=[c_void_p, c_wchar_p]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_Password,self.Ptr, value)

    @property

    def Username(self)->str:
        """

        """
        GetDllLibPdf().HtmlConverter_get_Username.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_Username.restype=c_void_p
        ret = PtrToStr(CallCFunction(GetDllLibPdf().HtmlConverter_get_Username,self.Ptr))
        return ret


    @Username.setter
    def Username(self, value:str):
        GetDllLibPdf().HtmlConverter_set_Username.argtypes=[c_void_p, c_wchar_p]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_Username,self.Ptr, value)

    @property
    def LoadHtmlTimeout(self)->int:
        """

        """
        GetDllLibPdf().HtmlConverter_get_LoadHtmlTimeout.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_LoadHtmlTimeout.restype=c_int
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_LoadHtmlTimeout,self.Ptr)
        return ret

    @LoadHtmlTimeout.setter
    def LoadHtmlTimeout(self, value:int):
        GetDllLibPdf().HtmlConverter_set_LoadHtmlTimeout.argtypes=[c_void_p, c_int]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_LoadHtmlTimeout,self.Ptr, value)

    @property
    def IsWaiting(self)->bool:
        return true

    @IsWaiting.setter
    def IsWaiting(self, value:bool):
        GetDllLibPdf().HtmlConverter_set_IsWaiting.argtypes=[c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_IsWaiting,self.Ptr, value)

    @property
    def WaitingTime(self)->int:
        """
        webBrowser load html  whether  Waiting time in milliseconds.
        """
        GetDllLibPdf().HtmlConverter_get_WaitingTime.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_WaitingTime.restype=c_int
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_WaitingTime,self.Ptr)
        return ret

    @WaitingTime.setter
    def WaitingTime(self, value:int):
        GetDllLibPdf().HtmlConverter_set_WaitingTime.argtypes=[c_void_p, c_int]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_WaitingTime,self.Ptr, value)

#
#    def Authenticate(self ,phwnd:'IntPtr&',pszUsername:'IntPtr&',pszPassword:'IntPtr&')->int:
#        """
#
#        """
#        intPtrphwnd:c_void_p = phwnd.Ptr
#        intPtrpszUsername:c_void_p = pszUsername.Ptr
#        intPtrpszPassword:c_void_p = pszPassword.Ptr
#
#        GetDllLibPdf().HtmlConverter_Authenticate.argtypes=[c_void_p ,c_void_p,c_void_p,c_void_p]
#        GetDllLibPdf().HtmlConverter_Authenticate.restype=c_int
#        ret = CallCFunction(GetDllLibPdf().HtmlConverter_Authenticate,self.Ptr, intPtrphwnd,intPtrpszUsername,intPtrpszPassword)
#        return ret


    @dispatch

    def Convert(self ,url:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->HtmlToPdfResult:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_Convert.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_Convert.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_Convert,self.Ptr, url,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else HtmlToPdfResult(intPtr)
        return ret


    @dispatch

    def Convert(self ,html:str,baseurl:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->HtmlToPdfResult:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_ConvertHBTWHA.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertHBTWHA.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertHBTWHA,self.Ptr, html,baseurl,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else HtmlToPdfResult(intPtr)
        return ret


    @dispatch

    def Convert(self ,url:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio,username:str,password:str)->HtmlToPdfResult:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_ConvertUTWHAUP.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_ConvertUTWHAUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertUTWHAUP,self.Ptr, url,enumtype,width,height,enumaspectRatio,username,password)
        ret = None if intPtr==None else HtmlToPdfResult(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImage.argtypes=[c_void_p ,c_wchar_p,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImage.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImage,self.Ptr, url,enumtype)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,stream:Stream,encoding:Encoding,type:ImageType)->Image:
        """

        """
        intPtrstream:c_void_p = stream.Ptr
        intPtrencoding:c_void_p = encoding.Ptr
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageSET.argtypes=[c_void_p ,c_void_p,c_void_p,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageSET.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageSET,self.Ptr, intPtrstream,intPtrencoding,enumtype)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTW.argtypes=[c_void_p ,c_wchar_p,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTW.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTW,self.Ptr, url,enumtype,width)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,stream:Stream,encoding:Encoding,type:ImageType,width:int)->Image:
        """

        """
        intPtrstream:c_void_p = stream.Ptr
        intPtrencoding:c_void_p = encoding.Ptr
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageSETW.argtypes=[c_void_p ,c_void_p,c_void_p,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageSETW.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageSETW,self.Ptr, intPtrstream,intPtrencoding,enumtype,width)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int,height:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTWH.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTWH.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTWH,self.Ptr, url,enumtype,width,height)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,username:str,password:str)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTUP.argtypes=[c_void_p ,c_wchar_p,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTUP,self.Ptr, url,enumtype,username,password)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,stream:Stream,encoding:Encoding,type:ImageType,width:int,height:int)->Image:
        """

        """
        intPtrstream:c_void_p = stream.Ptr
        intPtrencoding:c_void_p = encoding.Ptr
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageSETWH.argtypes=[c_void_p ,c_void_p,c_void_p,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageSETWH.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageSETWH,self.Ptr, intPtrstream,intPtrencoding,enumtype,width,height)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->Image:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHA.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHA.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTWHA,self.Ptr, url,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int,username:str,password:str)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTWUP.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTWUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTWUP,self.Ptr, url,enumtype,width,username,password)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,stream:Stream,encoding:Encoding,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->Image:
        """

        """
        intPtrstream:c_void_p = stream.Ptr
        intPtrencoding:c_void_p = encoding.Ptr
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_ConvertToImageSETWHA.argtypes=[c_void_p ,c_void_p,c_void_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_ConvertToImageSETWHA.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageSETWHA,self.Ptr, intPtrstream,intPtrencoding,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int,height:int,username:str,password:str)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHUP.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTWHUP,self.Ptr, url,enumtype,width,height,username,password)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def ConvertToImage(self ,url:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio,username:str,password:str)->Image:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHAUP.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_ConvertToImageUTWHAUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_ConvertToImageUTWHAUP,self.Ptr, url,enumtype,width,height,enumaspectRatio,username,password)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    def CustomizeDownload(self)->int:
        """

        """
        GetDllLibPdf().HtmlConverter_CustomizeDownload.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_CustomizeDownload.restype=c_int
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_CustomizeDownload,self.Ptr)
        return ret

    @dispatch

    def FromString(self ,html:str,type:ImageType,width:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_FromString.argtypes=[c_void_p ,c_wchar_p,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromString.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromString,self.Ptr, html,enumtype,width)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,baseUrl:str,type:ImageType)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_FromStringHBT.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHBT.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHBT,self.Ptr, html,baseUrl,enumtype)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,type:ImageType,width:int,height:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_FromStringHTWH.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHTWH.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHTWH,self.Ptr, html,enumtype,width,height)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,baseUrl:str,type:ImageType,width:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_FromStringHBTW.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHBTW.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHBTW,self.Ptr, html,baseUrl,enumtype,width)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->Image:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_FromStringHTWHA.argtypes=[c_void_p ,c_wchar_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHTWHA.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHTWHA,self.Ptr, html,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,baseUrl:str,type:ImageType,width:int,height:int)->Image:
        """

        """
        enumtype:c_int = type.value

        GetDllLibPdf().HtmlConverter_FromStringHBTWH.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHBTWH.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHBTWH,self.Ptr, html,baseUrl,enumtype,width,height)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,baseUrl:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio)->Image:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_FromStringHBTWHA.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int,c_int,c_int,c_int]
        GetDllLibPdf().HtmlConverter_FromStringHBTWHA.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHBTWHA,self.Ptr, html,baseUrl,enumtype,width,height,enumaspectRatio)
        ret = None if intPtr==None else Image(intPtr)
        return ret


    @dispatch

    def FromString(self ,html:str,baseUrl:str,type:ImageType,width:int,height:int,aspectRatio:AspectRatio,username:str,password:str)->Image:
        """

        """
        enumtype:c_int = type.value
        enumaspectRatio:c_int = aspectRatio.value

        GetDllLibPdf().HtmlConverter_FromStringHBTWHAUP.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int,c_int,c_int,c_int,c_wchar_p,c_wchar_p]
        GetDllLibPdf().HtmlConverter_FromStringHBTWHAUP.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().HtmlConverter_FromStringHBTWHAUP,self.Ptr, html,baseUrl,enumtype,width,height,enumaspectRatio,username,password)
        ret = None if intPtr==None else Image(intPtr)
        return ret


#
#    def GetImagesFromString(self ,html:str,baseUrl:str,type:'ImageType')->List['Image']:
#        """
#
#        """
#        enumtype:c_int = type.value
#
#        GetDllLibPdf().HtmlConverter_GetImagesFromString.argtypes=[c_void_p ,c_wchar_p,c_wchar_p,c_int]
#        GetDllLibPdf().HtmlConverter_GetImagesFromString.restype=IntPtrArray
#        intPtrArray = CallCFunction(GetDllLibPdf().HtmlConverter_GetImagesFromString,self.Ptr, html,baseUrl,enumtype)
#        ret = GetObjVectorFromArray(intPtrArray, Image)
#        return ret


#
#    def QueryService(self ,guidService:'Guid&',riid:'Guid&',ppvObject:'IntPtr&')->int:
#        """
#
#        """
#        intPtrguidService:c_void_p = guidService.Ptr
#        intPtrriid:c_void_p = riid.Ptr
#        intPtrppvObject:c_void_p = ppvObject.Ptr
#
#        GetDllLibPdf().HtmlConverter_QueryService.argtypes=[c_void_p ,c_void_p,c_void_p,c_void_p]
#        GetDllLibPdf().HtmlConverter_QueryService.restype=c_int
#        ret = CallCFunction(GetDllLibPdf().HtmlConverter_QueryService,self.Ptr, intPtrguidService,intPtrriid,intPtrppvObject)
#        return ret


    @property
    def AutoDetectPageBreak(self)->bool:
        """

        """
        GetDllLibPdf().HtmlConverter_get_AutoDetectPageBreak.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_AutoDetectPageBreak.restype=c_bool
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_AutoDetectPageBreak,self.Ptr)
        return ret

    @AutoDetectPageBreak.setter
    def AutoDetectPageBreak(self, value:bool):
        GetDllLibPdf().HtmlConverter_set_AutoDetectPageBreak.argtypes=[c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_AutoDetectPageBreak,self.Ptr, value)

    @property
    def EnableBinaryBehaviors(self)->bool:
        """

        """
        GetDllLibPdf().HtmlConverter_get_EnableBinaryBehaviors.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_EnableBinaryBehaviors.restype=c_bool
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_EnableBinaryBehaviors,self.Ptr)
        return ret

    @EnableBinaryBehaviors.setter
    def EnableBinaryBehaviors(self, value:bool):
        GetDllLibPdf().HtmlConverter_set_EnableBinaryBehaviors.argtypes=[c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_EnableBinaryBehaviors,self.Ptr, value)

    @property
    def EnableHyperlinks(self)->bool:
        """

        """
        GetDllLibPdf().HtmlConverter_get_EnableHyperlinks.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_EnableHyperlinks.restype=c_bool
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_EnableHyperlinks,self.Ptr)
        return ret

    @EnableHyperlinks.setter
    def EnableHyperlinks(self, value:bool):
        GetDllLibPdf().HtmlConverter_set_EnableHyperlinks.argtypes=[c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_EnableHyperlinks,self.Ptr, value)

    @property
    def EnableJavaScript(self)->bool:
        """

        """
        GetDllLibPdf().HtmlConverter_get_EnableJavaScript.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_EnableJavaScript.restype=c_bool
        ret = CallCFunction(GetDllLibPdf().HtmlConverter_get_EnableJavaScript,self.Ptr)
        return ret

    @EnableJavaScript.setter
    def EnableJavaScript(self, value:bool):
        GetDllLibPdf().HtmlConverter_set_EnableJavaScript.argtypes=[c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().HtmlConverter_set_EnableJavaScript,self.Ptr, value)

    @property

    def Password(self)->str:
        """

        """
        GetDllLibPdf().HtmlConverter_get_Password.argtypes=[c_void_p]
        GetDllLibPdf().HtmlConverter_get_Password.restype=c_void_p
        ret = PtrToStr(CallCFunction(GetDllLibPdf().HtmlConverter_get_Password,self.Ptr))
        return ret


