from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class MergerOptions(SpireObject):
    """
    The class can be used to set some options when performing a merge operation.
    """

    @dispatch
    def __init__(self):
        """
        Initializes a new instance of the MergerOptions class.
        """
        GetDllLibPdf().MergerOptions_CreateMergerOptions.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().MergerOptions_CreateMergerOptions)
        super(MergerOptions, self).__init__(intPtr)

    @property
    def SameFieldNameToOneField(self) -> bool:
        """
        Gets or sets a value indicating whether to merge fields with the same name into one field.
        """
        GetDllLibPdf().MergerOptions_get_SameFieldNameToOneField.argtypes = [c_void_p]
        GetDllLibPdf().MergerOptions_get_SameFieldNameToOneField.restype = c_bool
        ret = CallCFunction(GetDllLibPdf().MergerOptions_get_SameFieldNameToOneField,self.Ptr)
        return ret

    @SameFieldNameToOneField.setter
    def SameFieldNameToOneField(self, value: bool):
        """
        Sets a value indicating whether to merge fields with the same name into one field.
        """
        GetDllLibPdf().MergerOptions_set_SameFieldNameToOneField.argtypes = [c_void_p, c_bool]
        CallCFunction(GetDllLibPdf().MergerOptions_set_SameFieldNameToOneField,self.Ptr, value)
