from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfActionAnnotation(PdfActionLinkAnnotation):
    @dispatch
    def __init__(self, rectangle: RectangleF, action: PdfAction):
        """
        Initializes a new instance of the PdfActionAnnotation class.

        Args:
            rectangle (RectangleF): The rectangle of the annotation.
            action (PdfAction): The action associated with the annotation.
        """
        ptrRec: c_void_p = rectangle.Ptr
        ptrAction: c_void_p = action.Ptr

        GetDllLibPdf().PdfActionAnnotation_CreatePdfActionAnnotationRA.argtypes = [c_void_p, c_void_p]
        GetDllLibPdf().PdfActionAnnotation_CreatePdfActionAnnotationRA.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfActionAnnotation_CreatePdfActionAnnotationRA,ptrRec, ptrAction)
        super(PdfActionAnnotation, self).__init__(intPtr)
    """
    Represents the annotation with associated action.
    """