from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfCode93ExtendedBarcode(PdfCode93Barcode):
    @dispatch
    def __init__(self):
        """
        Initializes a new instance of the PdfCode93ExtendedBarcode class.
        """
        GetDllLibPdf().PdfCode93ExtendedBarcode_CreatePdfCode93ExtendedBarcode.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfCode93ExtendedBarcode_CreatePdfCode93ExtendedBarcode)
        super(PdfCode93ExtendedBarcode, self).__init__(intPtr)

    @dispatch
    def __init__(self, text: str):
        """
        Initializes a new instance of the PdfCode93ExtendedBarcode class with the specified text.

        Args:
            text (str): The text to be encoded in the barcode.
        """
        GetDllLibPdf().PdfCode93ExtendedBarcode_CreatePdfCode93ExtendedBarcodeT.argtypes = [c_wchar_p]
        GetDllLibPdf().PdfCode93ExtendedBarcode_CreatePdfCode93ExtendedBarcodeT.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfCode93ExtendedBarcode_CreatePdfCode93ExtendedBarcodeT,text)
        super(PdfCode93ExtendedBarcode, self).__init__(intPtr)
    """
    Represents a code93 extended barcode.

    Remarks:
        All 128 ASCII characters can be encoded in an extended Code 93 barcode.
    """