from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfComboBoxWidgetItemCollection(PdfCollection):
    """
    Represents a collection of Combo box items.
    """

    def get_Item(self, index: int) -> 'PdfComboBoxWidgetWidgetItem':
        """
        Gets the item at the specified index.

        Args:
            index (int): The index of the item.

        Returns:
            PdfComboBoxWidgetWidgetItem: The item at the specified index.
        """
        
        GetDllLibPdf().PdfComboBoxWidgetItemCollection_get_Item.argtypes = [c_void_p, c_int]
        GetDllLibPdf().PdfComboBoxWidgetItemCollection_get_Item.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfComboBoxWidgetItemCollection_get_Item,self.Ptr, index)
        ret = None if intPtr == None else PdfComboBoxWidgetWidgetItem(intPtr)
        return ret