from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfGridRowStyle(PdfGridStyleBase):
    """
    Grid row style
    """

    @property
    def CellPadding(self) -> 'PdfPaddings':
        """
        Get or sets the cell padding.
        Returns:
            The cell padding.
        """
        GetDllLibPdf().PdfGridRowStyle_get_CellPadding.argtypes = [c_void_p]
        GetDllLibPdf().PdfGridRowStyle_get_CellPadding.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfGridRowStyle_get_CellPadding,self.Ptr)
        ret = None if intPtr == None else PdfPaddings(intPtr)
        return ret

    @CellPadding.setter
    def CellPadding(self, value: 'PdfPaddings'):
        """
        Set the cell padding.
        Args:
            value: The cell padding.
        """
        GetDllLibPdf().PdfGridRowStyle_set_CellPadding.argtypes = [c_void_p, c_void_p]
        CallCFunction(GetDllLibPdf().PdfGridRowStyle_set_CellPadding,self.Ptr, value.Ptr)
