from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfLinkAnnotation(PdfAnnotation):
    """
    Represents the base class for link annotations.
    """

    @property
    def HighlightMode(self) -> 'PdfHighlightMode':
        """
        Gets the highlight mode of the link annotation.
        """
        GetDllLibPdf().PdfLinkAnnotation_get_HighlightMode.argtypes = [c_void_p]
        GetDllLibPdf().PdfLinkAnnotation_get_HighlightMode.restype = c_int
        ret = CallCFunction(GetDllLibPdf().PdfLinkAnnotation_get_HighlightMode,self.Ptr)
        objwrapped = PdfHighlightMode(ret)
        return objwrapped

    @HighlightMode.setter
    def HighlightMode(self, value: 'PdfHighlightMode'):
        """
        Sets the highlight mode of the link annotation.
        """
        GetDllLibPdf().PdfLinkAnnotation_set_HighlightMode.argtypes = [c_void_p, c_int]
        CallCFunction(GetDllLibPdf().PdfLinkAnnotation_set_HighlightMode,self.Ptr, value.value)