from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfMultipleNumberValueField(PdfMultipleValueField):
    """
    Represents an automatic field which has the same value within the document.
    """

    @property
    def NumberStyle(self) -> 'PdfNumberStyle':
        """
        Gets or sets the number style.

        Returns:
            The number style.
        """
        GetDllLibPdf().PdfMultipleNumberValueField_get_NumberStyle.argtypes = [c_void_p]
        GetDllLibPdf().PdfMultipleNumberValueField_get_NumberStyle.restype = c_int
        ret = CallCFunction(GetDllLibPdf().PdfMultipleNumberValueField_get_NumberStyle,self.Ptr)
        objwrapped = PdfNumberStyle(ret)
        return objwrapped

    @NumberStyle.setter
    def NumberStyle(self, value: 'PdfNumberStyle'):
        """
        Sets the number style.

        Args:
            value: The number style to set.
        """
        GetDllLibPdf().PdfMultipleNumberValueField_set_NumberStyle.argtypes = [c_void_p, c_int]
        CallCFunction(GetDllLibPdf().PdfMultipleNumberValueField_set_NumberStyle,self.Ptr, value.value)
