from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfNamedAction(PdfAction):
    """
    Represents an action which performs the named action.
    """

    @property
    def Destination(self) -> 'PdfActionDestination':
        """
        Gets or sets the destination.

        Returns:
            The object representing the destination of an action.
        """
        GetDllLibPdf().PdfNamedAction_get_Destination.argtypes = [c_void_p]
        GetDllLibPdf().PdfNamedAction_get_Destination.restype = c_int
        ret = CallCFunction(GetDllLibPdf().PdfNamedAction_get_Destination,self.Ptr)
        objwrapped = PdfActionDestination(ret)
        return objwrapped

    @Destination.setter
    def Destination(self, value: 'PdfActionDestination'):
        """
        Sets the destination.

        Args:
            value: The object representing the destination of an action.
        """
        GetDllLibPdf().PdfNamedAction_set_Destination.argtypes = [c_void_p, c_int]
        CallCFunction(GetDllLibPdf().PdfNamedAction_set_Destination,self.Ptr, value.value)