from enum import Enum
from plum import dispatch
from typing import TypeVar,Union,Generic,List,Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfPens (SpireObject) :
    """
    The collection of the default pens.
    """
    @staticmethod

    def get_MediumSeaGreen()->'PdfPen':
        """
        Gets the MediumSeaGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumSeaGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumSeaGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumSeaGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumSlateBlue()->'PdfPen':
        """
        Gets the MediumSlateBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumSlateBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumSlateBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumSlateBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumSpringGreen()->'PdfPen':
        """
        Gets the MediumSpringGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumSpringGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumSpringGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumSpringGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumTurquoise()->'PdfPen':
        """
        Gets the MediumTurquoise default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumTurquoise.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumTurquoise.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumTurquoise)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumVioletRed()->'PdfPen':
        """
        Gets the MediumVioletRed default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumVioletRed.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumVioletRed.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumVioletRed)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MidnightBlue()->'PdfPen':
        """
        Gets the MidnightBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_MidnightBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_MidnightBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MidnightBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MintCream()->'PdfPen':
        """
        Gets the MintCream default pen.
        """
        #GetDllLibPdf().PdfPens_get_MintCream.argtypes=[]
        GetDllLibPdf().PdfPens_get_MintCream.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MintCream)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MistyRose()->'PdfPen':
        """
        Gets the MistyRose default pen.
        """
        #GetDllLibPdf().PdfPens_get_MistyRose.argtypes=[]
        GetDllLibPdf().PdfPens_get_MistyRose.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MistyRose)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Moccasin()->'PdfPen':
        """
        Gets the Moccasin default pen.
        """
        #GetDllLibPdf().PdfPens_get_Moccasin.argtypes=[]
        GetDllLibPdf().PdfPens_get_Moccasin.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Moccasin)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_NavajoWhite()->'PdfPen':
        """
        Gets the NavajoWhite default pen.
        """
        #GetDllLibPdf().PdfPens_get_NavajoWhite.argtypes=[]
        GetDllLibPdf().PdfPens_get_NavajoWhite.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_NavajoWhite)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Navy()->'PdfPen':
        """
        Gets the Navy default pen.
        """
        #GetDllLibPdf().PdfPens_get_Navy.argtypes=[]
        GetDllLibPdf().PdfPens_get_Navy.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Navy)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_OldLace()->'PdfPen':
        """
        Gets the OldLace default pen.
        """
        #GetDllLibPdf().PdfPens_get_OldLace.argtypes=[]
        GetDllLibPdf().PdfPens_get_OldLace.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_OldLace)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Olive()->'PdfPen':
        """
        Gets the Olive default pen.
        """
        #GetDllLibPdf().PdfPens_get_Olive.argtypes=[]
        GetDllLibPdf().PdfPens_get_Olive.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Olive)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_OliveDrab()->'PdfPen':
        """
        Gets the OliveDrab default pen.
        """
        #GetDllLibPdf().PdfPens_get_OliveDrab.argtypes=[]
        GetDllLibPdf().PdfPens_get_OliveDrab.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_OliveDrab)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Orange()->'PdfPen':
        """
        Gets the Orange default pen.
        """
        #GetDllLibPdf().PdfPens_get_Orange.argtypes=[]
        GetDllLibPdf().PdfPens_get_Orange.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Orange)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_OrangeRed()->'PdfPen':
        """
        Gets the OrangeRed default pen.
        """
        #GetDllLibPdf().PdfPens_get_OrangeRed.argtypes=[]
        GetDllLibPdf().PdfPens_get_OrangeRed.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_OrangeRed)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Orchid()->'PdfPen':
        """
        Gets the Orchid default pen.
        """
        #GetDllLibPdf().PdfPens_get_Orchid.argtypes=[]
        GetDllLibPdf().PdfPens_get_Orchid.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Orchid)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PaleGoldenrod()->'PdfPen':
        """
        Gets the PaleGoldenrod default pen.
        """
        #GetDllLibPdf().PdfPens_get_PaleGoldenrod.argtypes=[]
        GetDllLibPdf().PdfPens_get_PaleGoldenrod.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PaleGoldenrod)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PaleGreen()->'PdfPen':
        """
        Gets the PaleGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_PaleGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_PaleGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PaleGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PaleTurquoise()->'PdfPen':
        """
        Gets the PaleTurquoise default pen.
        """
        #GetDllLibPdf().PdfPens_get_PaleTurquoise.argtypes=[]
        GetDllLibPdf().PdfPens_get_PaleTurquoise.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PaleTurquoise)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PaleVioletRed()->'PdfPen':
        """
        Gets the PaleVioletRed default pen.
        """
        #GetDllLibPdf().PdfPens_get_PaleVioletRed.argtypes=[]
        GetDllLibPdf().PdfPens_get_PaleVioletRed.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PaleVioletRed)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PapayaWhip()->'PdfPen':
        """
        Gets the PapayaWhip default pen.
        """
        #GetDllLibPdf().PdfPens_get_PapayaWhip.argtypes=[]
        GetDllLibPdf().PdfPens_get_PapayaWhip.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PapayaWhip)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PeachPuff()->'PdfPen':
        """
        Gets the PeachPuff default pen.
        """
        #GetDllLibPdf().PdfPens_get_PeachPuff.argtypes=[]
        GetDllLibPdf().PdfPens_get_PeachPuff.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PeachPuff)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Peru()->'PdfPen':
        """
        Gets the Peru default pen.
        """
        #GetDllLibPdf().PdfPens_get_Peru.argtypes=[]
        GetDllLibPdf().PdfPens_get_Peru.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Peru)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Pink()->'PdfPen':
        """
        Gets the Pink default pen.
        """
        #GetDllLibPdf().PdfPens_get_Pink.argtypes=[]
        GetDllLibPdf().PdfPens_get_Pink.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Pink)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Plum()->'PdfPen':
        """
        Gets the Plum default pen.
        """
        #GetDllLibPdf().PdfPens_get_Plum.argtypes=[]
        GetDllLibPdf().PdfPens_get_Plum.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Plum)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_PowderBlue()->'PdfPen':
        """
        Gets the PowderBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_PowderBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_PowderBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_PowderBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Purple()->'PdfPen':
        """
        Gets the Purple default pen.
        """
        #GetDllLibPdf().PdfPens_get_Purple.argtypes=[]
        GetDllLibPdf().PdfPens_get_Purple.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Purple)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Red()->'PdfPen':
        """
        Gets the Red default pen.
        """
        #GetDllLibPdf().PdfPens_get_Red.argtypes=[]
        GetDllLibPdf().PdfPens_get_Red.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Red)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_RosyBrown()->'PdfPen':
        """
        Gets the RosyBrown default pen.
        """
        #GetDllLibPdf().PdfPens_get_RosyBrown.argtypes=[]
        GetDllLibPdf().PdfPens_get_RosyBrown.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_RosyBrown)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_RoyalBlue()->'PdfPen':
        """
        Gets the RoyalBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_RoyalBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_RoyalBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_RoyalBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SaddleBrown()->'PdfPen':
        """
        Gets the SaddleBrown default pen.
        """
        #GetDllLibPdf().PdfPens_get_SaddleBrown.argtypes=[]
        GetDllLibPdf().PdfPens_get_SaddleBrown.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SaddleBrown)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Salmon()->'PdfPen':
        """
        Gets the Salmon default pen.
        """
        #GetDllLibPdf().PdfPens_get_Salmon.argtypes=[]
        GetDllLibPdf().PdfPens_get_Salmon.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Salmon)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SandyBrown()->'PdfPen':
        """
        Gets the SandyBrown default pen.
        """
        #GetDllLibPdf().PdfPens_get_SandyBrown.argtypes=[]
        GetDllLibPdf().PdfPens_get_SandyBrown.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SandyBrown)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SeaGreen()->'PdfPen':
        """
        Gets the SeaGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_SeaGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_SeaGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SeaGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SeaShell()->'PdfPen':
        """
        Gets the SeaShell default pen.
        """
        #GetDllLibPdf().PdfPens_get_SeaShell.argtypes=[]
        GetDllLibPdf().PdfPens_get_SeaShell.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SeaShell)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Sienna()->'PdfPen':
        """
        Gets the Sienna default pen.
        """
        #GetDllLibPdf().PdfPens_get_Sienna.argtypes=[]
        GetDllLibPdf().PdfPens_get_Sienna.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Sienna)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Silver()->'PdfPen':
        """
        Gets the Silver default pen.
        """
        #GetDllLibPdf().PdfPens_get_Silver.argtypes=[]
        GetDllLibPdf().PdfPens_get_Silver.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Silver)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SkyBlue()->'PdfPen':
        """
        Gets the SkyBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_SkyBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_SkyBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SkyBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SlateBlue()->'PdfPen':
        """
        Gets the SlateBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_SlateBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_SlateBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SlateBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SlateGray()->'PdfPen':
        """
        Gets the SlateGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_SlateGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_SlateGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SlateGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Snow()->'PdfPen':
        """
        Gets the Snow default pen.
        """
        #GetDllLibPdf().PdfPens_get_Snow.argtypes=[]
        GetDllLibPdf().PdfPens_get_Snow.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Snow)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SpringGreen()->'PdfPen':
        """
        Gets the SpringGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_SpringGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_SpringGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SpringGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_SteelBlue()->'PdfPen':
        """
        Gets the SteelBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_SteelBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_SteelBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_SteelBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Tan()->'PdfPen':
        """
        Gets the Tan default pen.
        """
        #GetDllLibPdf().PdfPens_get_Tan.argtypes=[]
        GetDllLibPdf().PdfPens_get_Tan.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Tan)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Teal()->'PdfPen':
        """
        Gets the Teal default pen.
        """
        #GetDllLibPdf().PdfPens_get_Teal.argtypes=[]
        GetDllLibPdf().PdfPens_get_Teal.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Teal)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Thistle()->'PdfPen':
        """
        Gets the Thistle default pen.
        """
        #GetDllLibPdf().PdfPens_get_Thistle.argtypes=[]
        GetDllLibPdf().PdfPens_get_Thistle.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Thistle)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Tomato()->'PdfPen':
        """
        Gets the Tomato default pen.
        """
        #GetDllLibPdf().PdfPens_get_Tomato.argtypes=[]
        GetDllLibPdf().PdfPens_get_Tomato.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Tomato)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Transparent()->'PdfPen':
        """
        Gets the Transparent default pen.
        """
        #GetDllLibPdf().PdfPens_get_Transparent.argtypes=[]
        GetDllLibPdf().PdfPens_get_Transparent.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Transparent)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Turquoise()->'PdfPen':
        """
        Gets the Turquoise default pen.
        """
        #GetDllLibPdf().PdfPens_get_Turquoise.argtypes=[]
        GetDllLibPdf().PdfPens_get_Turquoise.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Turquoise)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Violet()->'PdfPen':
        """
        Gets the Violet default pen.
        """
        #GetDllLibPdf().PdfPens_get_Violet.argtypes=[]
        GetDllLibPdf().PdfPens_get_Violet.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Violet)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Wheat()->'PdfPen':
        """
        Gets the Wheat default pen.
        """
        #GetDllLibPdf().PdfPens_get_Wheat.argtypes=[]
        GetDllLibPdf().PdfPens_get_Wheat.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Wheat)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_White()->'PdfPen':
        """
        Gets the White default pen.
        """
        #GetDllLibPdf().PdfPens_get_White.argtypes=[]
        GetDllLibPdf().PdfPens_get_White.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_White)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_WhiteSmoke()->'PdfPen':
        """
        Gets the WhiteSmoke default pen.
        """
        #GetDllLibPdf().PdfPens_get_WhiteSmoke.argtypes=[]
        GetDllLibPdf().PdfPens_get_WhiteSmoke.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_WhiteSmoke)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Yellow()->'PdfPen':
        """
        Gets the Yellow default pen.
        """
        #GetDllLibPdf().PdfPens_get_Yellow.argtypes=[]
        GetDllLibPdf().PdfPens_get_Yellow.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Yellow)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_YellowGreen()->'PdfPen':
        """
        Gets the YellowGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_YellowGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_YellowGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_YellowGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_AliceBlue()->'PdfPen':
        """
        Gets the AliceBlue pen.
        """
        #GetDllLibPdf().PdfPens_get_AliceBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_AliceBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_AliceBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_AntiqueWhite()->'PdfPen':
        """
        Gets the antique white pen.
        """
        #GetDllLibPdf().PdfPens_get_AntiqueWhite.argtypes=[]
        GetDllLibPdf().PdfPens_get_AntiqueWhite.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_AntiqueWhite)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Aqua()->'PdfPen':
        """
        Gets the Aqua default pen.
        """
        #GetDllLibPdf().PdfPens_get_Aqua.argtypes=[]
        GetDllLibPdf().PdfPens_get_Aqua.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Aqua)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Aquamarine()->'PdfPen':
        """
        Gets the Aquamarine default pen.
        """
        #GetDllLibPdf().PdfPens_get_Aquamarine.argtypes=[]
        GetDllLibPdf().PdfPens_get_Aquamarine.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Aquamarine)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Azure()->'PdfPen':
        """
        Gets the Azure default pen.
        """
        #GetDllLibPdf().PdfPens_get_Azure.argtypes=[]
        GetDllLibPdf().PdfPens_get_Azure.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Azure)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Beige()->'PdfPen':
        """
        Gets the Beige default pen.
        """
        #GetDllLibPdf().PdfPens_get_Beige.argtypes=[]
        GetDllLibPdf().PdfPens_get_Beige.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Beige)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Bisque()->'PdfPen':
        """
        Gets the Bisque default pen.
        """
        #GetDllLibPdf().PdfPens_get_Bisque.argtypes=[]
        GetDllLibPdf().PdfPens_get_Bisque.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Bisque)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Black()->'PdfPen':
        """
        Gets the Black default pen.
        """
        #GetDllLibPdf().PdfPens_get_Black.argtypes=[]
        GetDllLibPdf().PdfPens_get_Black.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Black)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_BlanchedAlmond()->'PdfPen':
        """
        Gets the BlanchedAlmond default pen.
        """
        #GetDllLibPdf().PdfPens_get_BlanchedAlmond.argtypes=[]
        GetDllLibPdf().PdfPens_get_BlanchedAlmond.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_BlanchedAlmond)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Blue()->'PdfPen':
        """
        Gets the Blue default pen.
        """
        #GetDllLibPdf().PdfPens_get_Blue.argtypes=[]
        GetDllLibPdf().PdfPens_get_Blue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Blue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_BlueViolet()->'PdfPen':
        """
        Gets the BlueViolet default pen.
        """
        #GetDllLibPdf().PdfPens_get_BlueViolet.argtypes=[]
        GetDllLibPdf().PdfPens_get_BlueViolet.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_BlueViolet)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Brown()->'PdfPen':
        """
        Gets the Brown default pen.
        """
        #GetDllLibPdf().PdfPens_get_Brown.argtypes=[]
        GetDllLibPdf().PdfPens_get_Brown.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Brown)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_BurlyWood()->'PdfPen':
        """
        Gets the BurlyWood default pen.
        """
        #GetDllLibPdf().PdfPens_get_BurlyWood.argtypes=[]
        GetDllLibPdf().PdfPens_get_BurlyWood.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_BurlyWood)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_CadetBlue()->'PdfPen':
        """
        Gets the CadetBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_CadetBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_CadetBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_CadetBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Chartreuse()->'PdfPen':
        """
        Gets the Chartreuse default pen.
        """
        #GetDllLibPdf().PdfPens_get_Chartreuse.argtypes=[]
        GetDllLibPdf().PdfPens_get_Chartreuse.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Chartreuse)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Chocolate()->'PdfPen':
        """
        Gets the Chocolate default pen.
        """
        #GetDllLibPdf().PdfPens_get_Chocolate.argtypes=[]
        GetDllLibPdf().PdfPens_get_Chocolate.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Chocolate)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Coral()->'PdfPen':
        """
        Gets the Coral default pen.
        """
        #GetDllLibPdf().PdfPens_get_Coral.argtypes=[]
        GetDllLibPdf().PdfPens_get_Coral.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Coral)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_CornflowerBlue()->'PdfPen':
        """
        Gets the CornflowerBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_CornflowerBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_CornflowerBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_CornflowerBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Cornsilk()->'PdfPen':
        """
        Gets the Corn silk default pen.
        """
        #GetDllLibPdf().PdfPens_get_Cornsilk.argtypes=[]
        GetDllLibPdf().PdfPens_get_Cornsilk.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Cornsilk)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Crimson()->'PdfPen':
        """
        Gets the Crimson default pen.
        """
        #GetDllLibPdf().PdfPens_get_Crimson.argtypes=[]
        GetDllLibPdf().PdfPens_get_Crimson.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Crimson)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Cyan()->'PdfPen':
        """
        Gets the Cyan default pen.
        """
        #GetDllLibPdf().PdfPens_get_Cyan.argtypes=[]
        GetDllLibPdf().PdfPens_get_Cyan.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Cyan)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkBlue()->'PdfPen':
        """
        Gets the DarkBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkCyan()->'PdfPen':
        """
        Gets the DarkCyan default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkCyan.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkCyan.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkCyan)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkGoldenrod()->'PdfPen':
        """
        Gets the DarkGoldenrod default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkGoldenrod.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkGoldenrod.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkGoldenrod)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkGray()->'PdfPen':
        """
        Gets the DarkGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkGreen()->'PdfPen':
        """
        Gets the DarkGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkKhaki()->'PdfPen':
        """
        Gets the DarkKhaki default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkKhaki.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkKhaki.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkKhaki)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkMagenta()->'PdfPen':
        """
        Gets the DarkMagenta default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkMagenta.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkMagenta.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkMagenta)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkOliveGreen()->'PdfPen':
        """
        Gets the DarkOliveGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkOliveGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkOliveGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkOliveGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkOrange()->'PdfPen':
        """
        Gets the DarkOrange default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkOrange.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkOrange.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkOrange)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkOrchid()->'PdfPen':
        """
        Gets the DarkOrchid default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkOrchid.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkOrchid.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkOrchid)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkRed()->'PdfPen':
        """
        Gets the DarkRed default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkRed.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkRed.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkRed)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkSalmon()->'PdfPen':
        """
        Gets the DarkSalmon default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkSalmon.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkSalmon.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkSalmon)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkSeaGreen()->'PdfPen':
        """
        Gets the DarkSeaGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkSeaGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkSeaGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkSeaGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkSlateBlue()->'PdfPen':
        """
        Gets the DarkSlateBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkSlateBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkSlateBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkSlateBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkSlateGray()->'PdfPen':
        """
        Gets the DarkSlateGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkSlateGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkSlateGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkSlateGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkTurquoise()->'PdfPen':
        """
        Gets the DarkTurquoise default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkTurquoise.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkTurquoise.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkTurquoise)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DarkViolet()->'PdfPen':
        """
        Gets the DarkViolet default pen.
        """
        #GetDllLibPdf().PdfPens_get_DarkViolet.argtypes=[]
        GetDllLibPdf().PdfPens_get_DarkViolet.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DarkViolet)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DeepPink()->'PdfPen':
        """
        Gets the DeepPink default pen.
        """
        #GetDllLibPdf().PdfPens_get_DeepPink.argtypes=[]
        GetDllLibPdf().PdfPens_get_DeepPink.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DeepPink)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DeepSkyBlue()->'PdfPen':
        """
        Gets the DeepSkyBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_DeepSkyBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_DeepSkyBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DeepSkyBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DimGray()->'PdfPen':
        """
        Gets the DimGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_DimGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_DimGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DimGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_DodgerBlue()->'PdfPen':
        """
        Gets the DodgerBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_DodgerBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_DodgerBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_DodgerBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Firebrick()->'PdfPen':
        """
        Gets the Firebrick default pen.
        """
        #GetDllLibPdf().PdfPens_get_Firebrick.argtypes=[]
        GetDllLibPdf().PdfPens_get_Firebrick.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Firebrick)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_FloralWhite()->'PdfPen':
        """
        Gets the FloralWhite default pen.
        """
        #GetDllLibPdf().PdfPens_get_FloralWhite.argtypes=[]
        GetDllLibPdf().PdfPens_get_FloralWhite.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_FloralWhite)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_ForestGreen()->'PdfPen':
        """
        Gets the ForestGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_ForestGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_ForestGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_ForestGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Fuchsia()->'PdfPen':
        """
        Gets the Fuchsia default pen.
        """
        #GetDllLibPdf().PdfPens_get_Fuchsia.argtypes=[]
        GetDllLibPdf().PdfPens_get_Fuchsia.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Fuchsia)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Gainsboro()->'PdfPen':
        """
        Gets the Gainsborough default pen.
        """
        #GetDllLibPdf().PdfPens_get_Gainsboro.argtypes=[]
        GetDllLibPdf().PdfPens_get_Gainsboro.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Gainsboro)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_GhostWhite()->'PdfPen':
        """
        Gets the GhostWhite default pen.
        """
        #GetDllLibPdf().PdfPens_get_GhostWhite.argtypes=[]
        GetDllLibPdf().PdfPens_get_GhostWhite.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_GhostWhite)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Gold()->'PdfPen':
        """
        Gets the Gold default pen.
        """
        #GetDllLibPdf().PdfPens_get_Gold.argtypes=[]
        GetDllLibPdf().PdfPens_get_Gold.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Gold)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Goldenrod()->'PdfPen':
        """
        Gets the Goldenrod default pen.
        """
        #GetDllLibPdf().PdfPens_get_Goldenrod.argtypes=[]
        GetDllLibPdf().PdfPens_get_Goldenrod.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Goldenrod)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Gray()->'PdfPen':
        """
        Gets the Gray default pen.
        """
        #GetDllLibPdf().PdfPens_get_Gray.argtypes=[]
        GetDllLibPdf().PdfPens_get_Gray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Gray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Green()->'PdfPen':
        """
        Gets the Green default pen.
        """
        #GetDllLibPdf().PdfPens_get_Green.argtypes=[]
        GetDllLibPdf().PdfPens_get_Green.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Green)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_GreenYellow()->'PdfPen':
        """
        Gets the GreenYellow default pen.
        """
        #GetDllLibPdf().PdfPens_get_GreenYellow.argtypes=[]
        GetDllLibPdf().PdfPens_get_GreenYellow.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_GreenYellow)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Honeydew()->'PdfPen':
        """
        Gets the Honeydew default pen.
        """
        #GetDllLibPdf().PdfPens_get_Honeydew.argtypes=[]
        GetDllLibPdf().PdfPens_get_Honeydew.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Honeydew)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_HotPink()->'PdfPen':
        """
        Gets the HotPink default pen.
        """
        #GetDllLibPdf().PdfPens_get_HotPink.argtypes=[]
        GetDllLibPdf().PdfPens_get_HotPink.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_HotPink)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_IndianRed()->'PdfPen':
        """
        Gets the IndianRed default pen.
        """
        #GetDllLibPdf().PdfPens_get_IndianRed.argtypes=[]
        GetDllLibPdf().PdfPens_get_IndianRed.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_IndianRed)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Indigo()->'PdfPen':
        """
        Gets the Indigo default pen.
        """
        #GetDllLibPdf().PdfPens_get_Indigo.argtypes=[]
        GetDllLibPdf().PdfPens_get_Indigo.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Indigo)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Ivory()->'PdfPen':
        """
        Gets the Ivory default pen.
        """
        #GetDllLibPdf().PdfPens_get_Ivory.argtypes=[]
        GetDllLibPdf().PdfPens_get_Ivory.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Ivory)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Khaki()->'PdfPen':
        """
        Gets the Khaki default pen.
        """
        #GetDllLibPdf().PdfPens_get_Khaki.argtypes=[]
        GetDllLibPdf().PdfPens_get_Khaki.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Khaki)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Lavender()->'PdfPen':
        """
        Gets the Lavender default pen.
        """
        #GetDllLibPdf().PdfPens_get_Lavender.argtypes=[]
        GetDllLibPdf().PdfPens_get_Lavender.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Lavender)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LavenderBlush()->'PdfPen':
        """
        Gets the LavenderBlush default pen.
        """
        #GetDllLibPdf().PdfPens_get_LavenderBlush.argtypes=[]
        GetDllLibPdf().PdfPens_get_LavenderBlush.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LavenderBlush)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LawnGreen()->'PdfPen':
        """
        Gets the LawnGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_LawnGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_LawnGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LawnGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LemonChiffon()->'PdfPen':
        """
        Gets the LemonChiffon default pen.
        """
        #GetDllLibPdf().PdfPens_get_LemonChiffon.argtypes=[]
        GetDllLibPdf().PdfPens_get_LemonChiffon.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LemonChiffon)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightBlue()->'PdfPen':
        """
        Gets the LightBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightCoral()->'PdfPen':
        """
        Gets the LightCoral default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightCoral.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightCoral.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightCoral)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightCyan()->'PdfPen':
        """
        Gets the LightCyan default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightCyan.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightCyan.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightCyan)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightGoldenrodYellow()->'PdfPen':
        """
        Gets the LightGoldenrodYellow default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightGoldenrodYellow.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightGoldenrodYellow.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightGoldenrodYellow)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightGray()->'PdfPen':
        """
        Gets the LightGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightGreen()->'PdfPen':
        """
        Gets the LightGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightPink()->'PdfPen':
        """
        Gets the LightPink default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightPink.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightPink.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightPink)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightSalmon()->'PdfPen':
        """
        Gets the LightSalmon default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightSalmon.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightSalmon.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightSalmon)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightSeaGreen()->'PdfPen':
        """
        Gets the LightSeaGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightSeaGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightSeaGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightSeaGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightSkyBlue()->'PdfPen':
        """
        Gets the LightSkyBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightSkyBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightSkyBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightSkyBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightSlateGray()->'PdfPen':
        """
        Gets the LightSlateGray default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightSlateGray.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightSlateGray.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightSlateGray)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightSteelBlue()->'PdfPen':
        """
        Gets the LightSteelBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightSteelBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightSteelBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightSteelBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LightYellow()->'PdfPen':
        """
        Gets the LightYellow default pen.
        """
        #GetDllLibPdf().PdfPens_get_LightYellow.argtypes=[]
        GetDllLibPdf().PdfPens_get_LightYellow.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LightYellow)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Lime()->'PdfPen':
        """
        Gets the Lime default pen.
        """
        #GetDllLibPdf().PdfPens_get_Lime.argtypes=[]
        GetDllLibPdf().PdfPens_get_Lime.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Lime)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_LimeGreen()->'PdfPen':
        """
        Gets the LimeGreen default pen.
        """
        #GetDllLibPdf().PdfPens_get_LimeGreen.argtypes=[]
        GetDllLibPdf().PdfPens_get_LimeGreen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_LimeGreen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Linen()->'PdfPen':
        """
        Gets the Linen default pen.
        """
        #GetDllLibPdf().PdfPens_get_Linen.argtypes=[]
        GetDllLibPdf().PdfPens_get_Linen.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Linen)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Magenta()->'PdfPen':
        """
        Gets the Magenta default pen.
        """
        #GetDllLibPdf().PdfPens_get_Magenta.argtypes=[]
        GetDllLibPdf().PdfPens_get_Magenta.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Magenta)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_Maroon()->'PdfPen':
        """
        Gets the Maroon default pen.
        """
        #GetDllLibPdf().PdfPens_get_Maroon.argtypes=[]
        GetDllLibPdf().PdfPens_get_Maroon.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_Maroon)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumAquamarine()->'PdfPen':
        """
        Gets the MediumAquamarine default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumAquamarine.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumAquamarine.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumAquamarine)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumBlue()->'PdfPen':
        """
        Gets the MediumBlue default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumBlue.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumBlue.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumBlue)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumOrchid()->'PdfPen':
        """
        Gets the MediumOrchid default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumOrchid.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumOrchid.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumOrchid)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


    @staticmethod

    def get_MediumPurple()->'PdfPen':
        """
        Gets the MediumPurple default pen.
        """
        #GetDllLibPdf().PdfPens_get_MediumPurple.argtypes=[]
        GetDllLibPdf().PdfPens_get_MediumPurple.restype=c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfPens_get_MediumPurple)
        ret = None if intPtr==None else PdfPen(intPtr)
        return ret


