from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class PdfRadioButtonWidgetWidgetItemCollection(PdfStateWidgetItemCollection):
    """
    Represents collection of radio box group items.
    """

    def get_Item(self, index: int) -> 'PdfRadioButtonWidgetItem':
        """
        Gets the PdfRadioButtonWidgetItem at the specified index.

        Args:
            index: The index of the item to retrieve.

        Returns:
            The PdfRadioButtonWidgetItem object at the specified index.
        """
        
        GetDllLibPdf().PdfRadioButtonWidgetWidgetItemCollection_get_Item.argtypes = [c_void_p, c_int]
        GetDllLibPdf().PdfRadioButtonWidgetWidgetItemCollection_get_Item.restype = c_void_p
        intPtr = CallCFunction(GetDllLibPdf().PdfRadioButtonWidgetWidgetItemCollection_get_Item,self.Ptr, index)
        ret = None if intPtr == None else PdfRadioButtonWidgetItem(intPtr)
        return ret