from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class XfaFloatField(XfaField):
    """
    Represents a float field in an XFA form.
    """

    @property
    def Value(self) -> float:
        """
        Gets the value of the float field.
        """
        GetDllLibPdf().XfaFloatField_get_Value.argtypes = [c_void_p]
        GetDllLibPdf().XfaFloatField_get_Value.restype = c_float
        ret = CallCFunction(GetDllLibPdf().XfaFloatField_get_Value,self.Ptr)
        return ret

    @Value.setter
    def Value(self, value: float):
        """
        Sets the value of the float field.
        """
        GetDllLibPdf().XfaFloatField_set_Value.argtypes = [c_void_p, c_float]
        CallCFunction(GetDllLibPdf().XfaFloatField_set_Value,self.Ptr, value)