from enum import Enum
from plum import dispatch
from typing import TypeVar, Union, Generic, List, Tuple
from spire.pdf.common import *
from spire.pdf import *
from ctypes import *
import abc

class XfaIntField(XfaField):
    """
    Represents an XFA integer field.
    """

    @property
    def Value(self) -> int:
        """
        Gets the value of the XFA integer field.
        """
        GetDllLibPdf().XfaIntField_get_Value.argtypes = [c_void_p]
        GetDllLibPdf().XfaIntField_get_Value.restype = c_int
        ret = CallCFunction(GetDllLibPdf().XfaIntField_get_Value,self.Ptr)
        return ret

    @Value.setter
    def Value(self, value: int):
        """
        Sets the value of the XFA integer field.
        """
        GetDllLibPdf().XfaIntField_set_Value.argtypes = [c_void_p, c_int]
        CallCFunction(GetDllLibPdf().XfaIntField_set_Value,self.Ptr, value)